#include <kpanelapplet.h>
#include <qpushbutton.h>
#include <qpixmap.h>
#include <qhbox.h>
#include <qlabel.h>
#include <qcombobox.h>

class NetconfApplet : public KPanelApplet
{
  Q_OBJECT
public:

  NetconfApplet (const QString& configFile,
		 Type t = Stretch,
		 int actions = 0,
		 QWidget *parent = 0, 
		 const char *name = 0 );

  int widthForHeight( int height ) const;
  int heightForWidth( int width ) const;

  QPushButton* mybutton;

public slots:
  
  void Clicked ();

private:
  QHBox* hbox;

  QPixmap* online;
  QPixmap* offline;
  QLabel* status;
  QComboBox* profile;

  bool is_online;
};
