#include <qvbox.h>
#include "symbollistwidget.hh"

class Device;
class DeviceManager;

class DeviceList : public SymbolListWidget
{
  Q_OBJECT
public:
  DeviceList (QWidget* parent, DeviceManager* manager);

  QVBox* newBoxForDevice (Device* dev);

  void StatesChanged ();
private:
  DeviceManager* m_manager;
};
