#include <qvbox.h>
#include <vector>

class DeviceManager;
class Device;

class DeviceStatus : public QVBox
{
  Q_OBJECT
public:
  DeviceStatus (QWidget* parent, DeviceManager* manager);

  void AppendDevice (Device* dev);

  void StatesChanged ();
private:
  DeviceManager* m_manager;
  std::vector <QWidget*> widgets;
};
