#include "qtabwidget.h"
#include "ether_device.hh"

class WirelessTab;
class WirelessStatus;

class WlanDevice : public EtherDevice
{
  Q_OBJECT
public:
  WlanDevice  (const QString& interface, DeviceManager* device_manager, ProfileManager* profile_manager);

  virtual QWidget* CreateStatus (QWidget* parent);

protected:
  virtual void BuildContent (QVBox* box);
  virtual void RefreshContent ();
  virtual void EnabledToggled ();
  virtual void ActiveToggled (bool state);
private:
  WirelessTab* w_tab;
  WirelessStatus* status;
};
